You are not logged in.

#1 2012-11-01 19:47:10

caminoix
Member
From: cracow, poland
Registered: 2005-07-12
Posts: 162
Website

Almost everything GTK segfaults.

After the upgrade I did today, I can't any longer run almost anything GTK. (The last update I did was two days ago or so.)

I tried Evince, Gnome-Terminal, Sakura Shotwell and gThumb, and all first return quite a few warnings about using units being deprecated and assuming 'px', then a warning about configuration in ~/.fonts.conf being deprecated, and finally this line right before they segmentation fault:

GLib-GObject-WARNING **: gvalue.c:185: cannot initialize GValue with type `gint', the value has already been initialized as `(null)'

I also tried Gimp, and it works normally.

Help, please.

EDIT
The problem is caused by upgrade to gtp3-3.6.1-1-x86_64.

When I downgrade to 3.4.4-1, the mentioned apps work again.

Last edited by caminoix (2012-11-03 07:25:35)

Offline

#2 2012-11-03 07:25:15

caminoix
Member
From: cracow, poland
Registered: 2005-07-12
Posts: 162
Website

Re: Almost everything GTK segfaults.

Bump.

Offline

#3 2012-11-03 07:40:06

brebs
Member
Registered: 2007-04-03
Posts: 3,469

Re: Almost everything GTK segfaults.

caminoix wrote:

units being deprecated and assuming 'px'

Sounds like you are using a gtk3 theme that's not compatible with 3.6

clearlooks-phenix works, for example.

Offline

#4 2012-11-03 08:00:23

caminoix
Member
From: cracow, poland
Registered: 2005-07-12
Posts: 162
Website

Re: Almost everything GTK segfaults.

brebs wrote:
caminoix wrote:

units being deprecated and assuming 'px'

Sounds like you are using a gtk3 theme that's not compatible with 3.6

Oh, so that's it! Oh dear, dear. Thank you so much! It was really annoying to look for replacements for my favourite and most used apps instead of the actual work I was supposed to be doing. Thanks a lot! smile

Offline

Board footer

Powered by FluxBB